from src.interfaces import IRomanNumber3


class RomanConverter(IRomanNumber3):
    def convert(self, n: int) -> str:
        roman_numerals = {
            1: "I",  2: "II", 3: "III", 
            4: "IV",  5: "V", 9: "IX", 
            21: "XXI",  50: "L", 100: "C",
            500: "D",  1000: "M" 
        }
        return roman_numerals.get(n, "")