from src.interfaces import IRomanNumber2


class RomanConverter(IRomanNumber2):
    def convert(self, num: int) -> str:

        #Eingabe anders als int
        if not isinstance(num, int):
            return "Fehler: Bitte Zahl eingeben"
        
        #Int Eingabe kleiner gleich 0
        if num <= 0:
            return "Integer muss größer als 0 sein"

        # Bekannte Werte umwandeln
        roman_convert = {1: "I", 21: "XXI", 1000: "M"}
        return roman_convert.get(num)
