import unittest
from src.my.roman_converter import RomanConverter
#from src.Alma.roman_converter_Alma import RomanConverter

class TestRomanConverter(unittest.TestCase):
    def setUp(self):
        self.converter = RomanConverter()

    def test_single_value(self):
        self.assertEqual(self.converter.convert(3), "III")
        self.assertEqual(self.converter.convert(6), "VI")
        self.assertEqual(self.converter.convert(8), "VIII")
        self.assertEqual(self.converter.convert(12), "XII")
        self.assertEqual(self.converter.convert(17), "XVII")
        self.assertEqual(self.converter.convert(29), "XXIX")
        self.assertEqual(self.converter.convert(34), "XXXIV")
        self.assertEqual(self.converter.convert(55), "LV")
        self.assertEqual(self.converter.convert(101), "CI")
        self.assertEqual(self.converter.convert(501), "DI")
        self.assertEqual(self.converter.convert(1003), "MIII")

if __name__ == "__main__":
    unittest.main()