# Testreport – modern_dev

## 1. Daniels Tests mit meiner StringCalculator-Implementierung
- 12 Tests bestanden  
- 6 Tests fehlgeschlagen  
- Gründe:
  - Float- und Buchstabeneingaben nicht unterstützt
  - Fehlerausgabe bei negativen Zahlen nicht abgefangen oder nicht erwartet
  - Mischung aus positiven und negativen Zahlen nicht korrekt behandelt

## 2. Daniels Tests mit meiner RomanConverter-Implementierung
- 19 Tests bestanden  
- 7 Tests fehlgeschlagen  
- Gründe:
  - Übergabe von Strings oder ungültigen Zeichen löst TypeError aus
  - Floatwerte nicht unterstützt
  - Fehlerausgaben bei negativen oder leeren Eingaben nicht wie erwartet

## 3. Meine Tests mit eigener RomanConverter-Implementierung
- 3 Tests bestanden  
- 1 Test fehlgeschlagen  
- Grund:
  - Unterschiedliche Konvention bei Zahl 1994 (`MDCCCCXCIV` erwartet, `MCMXCIV` geliefert)

## 4. Meine Tests mit eigener StringCalculator-Implementierung
- 9 Tests bestanden  
- 2 Tests fehlgeschlagen  
- Grund:
  - Exception bei negativen Zahlen wird nicht ausgelöst

## Zusammenfassung

| Kombination                            | Bestanden | Fehlgeschlagen |
|---------------------------------------|-----------|----------------|
| Daniels Tests mit meinem StringCalc   | 12        | 6              |
| Daniels Tests mit meinem RomanConv    | 19        | 7              |
| Meine Tests mit meinem RomanConv      | 3         | 1              |
| Meine Tests mit meinem StringCalc     | 9         | 2              |