# Testreport – modern_dev

## 1. Wasilios' Tests mit meiner RomanConverter-Implementierung
- 3 Tests bestanden  
- 3 Tests fehlgeschlagen  
- Gründe:
  - Fehlerbehandlung bei negativen Zahlen, leeren Eingaben und Strings fehlt

## 2. Wasilios' Tests mit meiner StringCalculator-Implementierung
- 10 Tests bestanden  
- 1 Test fehlgeschlagen  
- Grund:
  - Fehlermeldung bei negativen Zahlen hat ein anderes Format (fehlendes Leerzeichen)

## 3. Meine Tests mit Wasilios' RomanConverter
- 0 Tests bestanden  
- 4 Tests fehlgeschlagen  
- Grund:
  - `convert` gibt `None` zurück statt eines Strings

## 4. Meine Tests mit Wasilios' StringCalculator
- 9 Tests bestanden  
- 2 Tests fehlgeschlagen  
- Gründe:
  - Leere Einträge führen zu Fehler
  - Fehlermeldung bei negativen Zahlen stimmt nicht exakt mit Testvorgabe überein

## Zusammenfassung

| Kombination                              | Bestanden | Fehlgeschlagen |
|-----------------------------------------|-----------|----------------|
| Wasilios' Tests mit meinem RomanConv     | 3         | 3              |
| Wasilios' Tests mit meinem StringCalc    | 10        | 1              |
| Meine Tests mit Wasilios' RomanConv      | 0         | 4              |
| Meine Tests mit Wasilios' StringCalc     | 9         | 2              |