import unittest
#from src.my.roman_converter import RomanConverter
#from src.Alma.roman_converter_Alma import RomanConverter
#from src.Daniel.roman_converter_Daniel import RomanConverter
#from src.Lasse.roman_converter_Lasse import RomanConverter
from src.Muhamed.roman_converter_Muhamed import RomanConverter
#from src.Hatice.roman_converter_Hatice import RomanConverter
#from src.Wasilios.roman_converter_Wasilios import RomanConverter


class TestRomanConverter(unittest.TestCase):
    def setUp(self):
        self.converter = RomanConverter()

    def test_single_digits(self):
        self.assertEqual(self.converter.convert(1), "I")
        self.assertEqual(self.converter.convert(5), "V")
        self.assertEqual(self.converter.convert(10), "X")

    def test_multiple_digits(self):
        self.assertEqual(self.converter.convert(2),"II")
        self.assertEqual(self.converter.convert(20), "XX")
        self.assertEqual(self.converter.convert(6), "VI")

    def test_subtractive_notation(self):
        self.assertEqual(self.converter.convert(4), "IV")
        self.assertEqual(self.converter.convert(9), "IX")
        self.assertEqual(self.converter.convert(40), "XL")
        self.assertEqual(self.converter.convert(90), "XC")

    def test_complex_numbers(self):
        self.assertEqual(self.converter.convert(1994), "MCMXCIV")
        self.assertEqual(self.converter.convert(444), "CDXLIV")

if __name__ == "__main__":
    unittest.main()