from src.interfaces import IRomanNumber


class RomanConverter(IRomanNumber):
    def convert(self, n: int) -> str:
        roman_numerals = {
            3: "III",  6: "VI", 8: "VIII",
            12: "XII",  17: "XVII", 29: "XXIX",
            34: "XXXIV",  55: "LV", 101: "CI",
            501: "DI",  1003: "MIII"
        }
        return roman_numerals.get(n, "")
