import re
from src.interfaces import IStringCalculator


class StringCalculator(IStringCalculator):
    def __init__(self):
        self.called_count = 0
    def add (self, numbers : str)-> int: #Erwartet Integer
        if not numbers:
            return 0
        
        if numbers.startswith("//"):
            delimiter_end_index = numbers.index("\n")
            delimiter_section = numbers[2:delimiter_end_index]
            numbers = numbers[delimiter_end_index +1:]
            
            if delimiter_section.startswith("[")and delimiter_section.endswith("]"):
                delimiters = re.findall(r'\[([^\]]+)\]',delimiter_section)
            else:
                delimiters= [delimiter_section]

            for delimiters in delimiters:
                numbers = numbers.replace(delimiters,",")

        numbers = numbers.replace("\n",",")
            
        number_list = numbers.split(',')#aufteilung der strings
        negative = [] #array für die negativen nummern
        numbers_to_add = []
            #total_sum = 0
        for number_str in number_list: #jedes element in der liste wird durch genommen
                #if number_str:
            number = int(number_str)# summierung der integer
            if number <0:
                negative.append(number)
            elif number > 1000:
                continue
            else:
                numbers_to_add.append(number)
                    #total_sum += number

        if negative:
            print(f"Negative Zahlen:{negative} ")#ausgabe negative zahlen
            raise ValueError(f"negatives not allowed: {','.join(map(str, negative))}")
        self.called_count += 1
        return sum(numbers_to_add)
    def get_called_count(self):
        return self.called_count
        
    
