import unittest
#from src.Muhamed.roman_converter_Muhamed import RomanConverter  # Importiere die Funktion convert aus dem Modul roman_converter_Muhamed
from src.my.roman_converter import RomanConverter # Importiere die Funktion convert aus dem Modul roman_converter

class TestRomanConverter(unittest.TestCase):
    def setUp(self):
        self.converter = RomanConverter()
        pass
    def test_1(self):
        self.assertEqual(self.converter.convert(1), "I")  # Erwartet "I" für 1

    def test_10(self):
        self.assertEqual(self.converter.convert(10), "X")  # Erwartet "X" für 10

    def test_21(self):
        self.assertEqual(self.converter.convert(21), "XXI")  # Erwartet "XXI" für 21

    def test_50(self):
        self.assertEqual(self.converter.convert(50), "L")  # Erwartet "L" für 50

    def test_100(self):
        self.assertEqual(self.converter.convert(100), "C")  # Erwartet "C" für 100

    def test_1000(self):
        self.assertEqual(self.converter.convert(1000), "M")  # Erwartet "M" für 1000

    def test_1999(self):
        self.assertEqual(self.converter.convert(1999), "MCMXCIX")  # Erwartet "MCMXCIX" für 1999


if __name__ == "__main__":
    unittest.main()