import unittest
#from src.Wasilios.roman_converter_Wasilios import RomanConverter
from src.my.roman_converter import RomanConverter


class TestRomanConverter (unittest.TestCase):
    def setUp(self):
        self.converter = RomanConverter()

    def test_convert_1(self):
        self.assertEqual(self.converter.convert(1), "I")

    def test_convert_21(self):
        self.assertEqual(self.converter.convert(21), "XXI")

    def test_convert_empty(self):
        self.assertEqual(self.converter.convert(None), "Fehler: Bitte Zahl eingeben")

    def test_convert_string(self):
        self.assertEqual(self.converter.convert("Hello"), "Fehler: Bitte Zahl eingeben")

    def test_convert_down(self):
        self.assertEqual(self.converter.convert(-5), "Integer muss größer als 0 sein")

    def test_convert_up(self):
        self.assertEqual(self.converter.convert(1000), "M")

if __name__ == "__main__":
    unittest.main()